Subject: Re: bug#68018: [PATCH] Fix previous page and next page tooltips in doc-view.el

From: Eli Zaretskii <[email-masked]>
Date: Mon, 25 Dec 2023 14:22:18 +0200

> Cc: [email-masked]
> Date: Mon, 25 Dec 2023 19:59:39 +0800
> From:  Po Lu via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Daniel Martín <[email-masked]> writes:
> 
> > So that the name of the icon matches what the icon really represents.
> 
> I don't see an appreciable distinction between "previous" and "last" in
> this context, except perhaps that "previous" might refer to the page
> previously visited (in contrast to the preceding page in the document),
> which is not the function of the Doc View command in question.  As such,
> please don't rename the icon.  Thanks.

Doesn't the icon's name say what it is supposed to mean?  I don't
think I like to see "last-page" where the function is
doc-view-previous-page.  If the icon's image is not very
self-explanatory, we should perhaps look for a better icon, but that
is unrelated to this issue.